This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 206314 - upgrade to joe 3.5
upgrade to joe 3.5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: joe (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 12:22 EDT by Marius Feraru
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 06:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marius Feraru 2006-09-13 12:22:29 EDT
Posted By: jhallen
Date: 2006-07-20 23:02
Summary: JOE 3.5 Released!

- Many bugs have been fixed, including a number of critical ones: 
- Left arrow in menus sometimes caused a core dump. 
- ESC c (compile) caused core dump or missed saving some files. 
- Multi-file search & replace core dumps with 'e' option. 
- ^XC in jmacs sometimes missed asking to save some files. 
- This version has been test compiled to be warning free on many systems, 
including: Irix 6.5, HPUX-11i, FreeBSD 5.4, NetBSD 3.0, Hp Tru64 5.1b, Cygwin,
Linux, S/390, Itanium, Alpha, x86, MIPS, PA-RISC.
- Query windows now expand to multiple lines if necessary
- Single key queries are now internationalized (set local versions in the .po file)
- Spell check language can be set in the editor 
- New syntax highlight files: m4, joerc
- New debug window for .jsf file syntax errors. 
- Macros can be typed at the ESC X prompt (before it used to accept only commands). 
- Built-in joerc file allows joe to run even if /etc/joe directory is 
missing: now you can run the editor with just the binary file. 
- Support for 'long long' allows editing parts of files larger than 4GB.  
For example, you can say: joe /dev/hda,0x100000000,0x1000 to edit the 4KB 
block at offset 4GB of a hard drive. 
- There is now an option which allows you set how many undo records to keep. 
- You can give a path to the tags file in the TAGS environment variable.
Comment 1 Ivana Varekova 2006-10-23 06:52:51 EDT
upgraded

Note You need to log in before you can comment on or make changes to this bug.